/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular.module('ibmConfiguratorApp.configurator')
    .filter('filterOption', filterOption)
    .filter('replaceDot', replaceDot);

    function filterOption() {

        return function(input, classList) {
            var classArr = [];
            for (var idx = 0; idx < classList.length; idx++) {
                classArr.push(classList[idx].class);
            }

            var out = [];
            var count = 0;
            for (idx = 0; idx < input.length; idx++) {
				
				/*
                if (classArr.indexOf(input[idx].path) !== -1) {
                    out.push(input[idx]);
                    count++;
                }*/
				
				for (var j = 0;j < classArr.length; j++) {
					if (input[idx].path.indexOf(classArr[j]) === 0 && !containsObject(input[idx], out)) {
						out.push(input[idx]);
						count++;
					}
				}
                if (count === classArr.length) {
                    break;
                }
            }
            return out;
        };
    }

	function containsObject(obj, list) {
		var i;
		for (i = 0; i < list.length; i++) {
			if (list[i] === obj) {
				return true;
			}
		}

		return false;
	}

    function replaceDot(){
        return function (input) {
            return input.replace(/[\.\"\s]/g, '_');
        };
    }
})();
