/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular.module('ibmConfiguratorApp.configurator').directive('dropdownlistSpace', dropdownlistSpace); 
        		
    function dropdownlistSpace() {
    	return {
            require: 'ngModel',
            replace: true,
            link: function(scope, element, attrs, ngModelCtrl) {
                element.bind('keydown keypress', function (event) {
                	if(event.which === 32) {
                        scope.$apply(function (){
                        	var el = document.getElementById(scope.option.path.replace(/[\.\s]/g, '_'));
                        	var ev = el.options[el.selectedIndex].value;
                            ngModelCtrl.$setViewValue(ev);
                        });
                        event.preventDefault();
                    }
                });
            }
        };
    }
})();
