/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function() {
    'use strict';

    angular.module('ibmConfiguratorApp.shell').controller('NavbarController', NavbarController);

    NavbarController.$inject = ['$location', 'config', 'logger', '$rootScope' , 'configuratorService'];
    /* @ngInject */
    function NavbarController($location, config, logger, $rootScope) {
        var vm = this;

        vm.rightMenuList = [
            {'path' : '/debug', 'text': 'Debug'},
            {'path' : '/messages', 'text': 'Messages', 'count': 2},
            {'path' : '/clear', 'text': 'Clear'},
            {'path' : '/update', 'text': 'Update'},
            {'path' : '/summary', 'text': 'Summary'},
            {'path' : '/add', 'text': 'Add'}
        ];

        vm.isActive = function (path) {
            return path === $location.path();
        };
        
		vm.getModelCache = function (){
			configuratorService.getModelCache();
		};

    }
})();
