<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

    <xsl:output method="xml" indent="yes"/>

    <xsl:template match="/">
        <root>
        <xsl:apply-templates />
        </root>
    </xsl:template>


    <xsl:template match="xml-file">
        <!-- load the file to be merged-->
        <xsl:variable name="file" select="document(@name)"/>
        <!-- copy all elements in this file -->
        <xsl:copy-of select="$file/child::*" />
   </xsl:template>
   
   <xsl:template match="sdk-project">
   		<xsl:element name="sdk-project">
   			<xsl:attribute name="name">
   				<xsl:value-of select="@name"/>
   			</xsl:attribute>
   		</xsl:element>
   </xsl:template>

</xsl:stylesheet>



