<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"   version="1.0">

<xsl:template name="writeCustomizationStatus">
    <xsl:param name="status"/>
    <xsl:param name="title"/>
    <xsl:param name="outputType"/>
    <xsl:param name="explanation"/>

    <!-- <p /><xsl:value-of select="$outputType"/><p />
    <p /><xsl:value-of select="$status"/><p />
    <p /><xsl:value-of select="$explanation"/><p /> -->
    <xsl:if test="$outputType='html'">
        <xsl:if test="$status='red'">
            <a  href="javascript:void(0);"
                onmouseout="nd();">
                <xsl:attribute name="onmouseover">return overlib('<xsl:value-of select="$explanation"/>',CAPTION,'<xsl:value-of select="$title"/>',FGCOLOR,'#F4A8A8',BGCOLOR,'#FF0000',BORDER,4,CAPTIONFONT,'Times',TEXTFONT,'Courier',TEXTSIZE,3,CAPCOLOR,'#000000');</xsl:attribute>

                <!-- <font color="#ff0000"><tt>RED</tt></font> -->
                <img src="../../../docs/html/images/noway.gif" alt="RED"/>
            </a>
        </xsl:if>
        <xsl:if test="$status='yellow'">
            <a  href="javascript:void(0);"
                onmouseout="nd();">
                <xsl:attribute name="onmouseover">return overlib('<xsl:value-of select="$explanation"/>',CAPTION,'<xsl:value-of select="$title"/>',FGCOLOR,'#F4F4A8',BGCOLOR,'#ffff33',BORDER,4,CAPTIONFONT,'Sans Serif',TEXTFONT,'Courier',TEXTSIZE,3,CAPCOLOR,'#000000');</xsl:attribute>
                <!-- <font color="#ffff33"><tt>YELLOW</tt></font> -->
                <img src="../../../docs/html/images/caution.gif" alt="YELLOW"/>
            </a>
        </xsl:if>
        <xsl:if test="$status='green'">
            <!-- <font color="#33cc00"><tt>GREEN</tt></font> -->
            <img src="../../../docs/html/images/ok.gif" alt="GREEN"/>
        </xsl:if>
    </xsl:if>
    <xsl:if test="$outputType='xml'">
        <xsl:if test="$status='red'">
            <xsl:attribute name="customizationStatus">red</xsl:attribute>
            <xsl:attribute name="customzationExplanation"><xsl:value-of select="$explanation"/></xsl:attribute>
        </xsl:if>
        <xsl:if test="$status='yellow'">
            <xsl:attribute name="customizationStatus">yellow</xsl:attribute>
            <xsl:attribute name="customzationExplanation"><xsl:value-of select="$explanation"/></xsl:attribute>
        </xsl:if>
        <xsl:if test="$status='green'">
            <xsl:attribute name="customizationStatus">green</xsl:attribute>
            <xsl:attribute name="customzationExplanation"><xsl:value-of select="$explanation"/></xsl:attribute>
        </xsl:if>

    </xsl:if>
</xsl:template>

</xsl:stylesheet>

