<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0"
>

<xsl:output method="text"/>

<xsl:strip-space elements="project"/>

<xsl:template match="project">
	<xsl:for-each select="descendant::node()">
		<xsl:sort select="@name" />
    <xsl:if test="@description">
           	<xsl:text>   </xsl:text>     
	        <xsl:value-of select="@name"/>
	        <xsl:if test="string-length(@name)&lt;5">
	            <xsl:text>&#9;</xsl:text>
	        </xsl:if>
            <xsl:if test="string-length(@name)&lt;13">
	            <xsl:text>&#9;</xsl:text>
	        </xsl:if>
	        <xsl:text>&#9;</xsl:text>            
        	<xsl:value-of select="@description"/>
        <xsl:text>
</xsl:text>
</xsl:if>		
	</xsl:for-each>

</xsl:template>

</xsl:stylesheet>
