REM
REM Licensed Materials - Property of IBM
REM
REM IBM Sterling Selling and Fullfillment Suite
REM
REM (c) Copyright IBM Corp. 2015 All Rights Reserved.
REM
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP
REM Schedule Contract with IBM Corp.
REM

@echo off

REM Licensed Materials - Property of IBM
REM IBM Sterling Selling Solution
REM (C) Copyright IBM Corp. 2003,2011 All Rights Reserved. 
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


REM check for java
if not "%JAVA_HOME%" == "" goto gotJavaHome
echo You must set the JAVA_HOME environment variable.
goto finish

:gotJavaHome
REM check for Comergent SDK Home
if not "%COMERGENT_SDK_HOME%" == "" goto gotComergentHome
if not "%CD%" =="" goto gotCD
Echo Error: Environment variable COMERGENT_SDK_HOME is not set
goto finish
:gotCD
set COMERGENT_SDK_HOME=%CD%

:gotComergentHome
REM build classpath
set CP=%COMERGENT_SDK_HOME%/etc/lib/ant.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/optional.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/sdk.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/xercesimpl.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/ant-contrib-0.1.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/js.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/xml-apis.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/bsf.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/xalan.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/serializer.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/jakarta-oro-2.0.8.jar
set CP=%CP%;"%JAVA_HOME%"/lib/tools.jar

if not [%1] == [] set ARGS=%1
if not [%2] == [] set ARGS=%ARGS% -Darg1=%2
if not [%3] == [] set ARGS=%ARGS% -Darg2=%3
if not [%4] == [] set ARGS=%ARGS% -Darg3=%4
if not [%5] == [] set ARGS=%ARGS% -Darg4=%5
if not [%6] == [] set ARGS=%ARGS% -Darg5=%6

REM run ant
"%JAVA_HOME%/bin/java" -Xmx256m -classpath %CP% org.apache.tools.ant.Main -emacs -buildfile %COMERGENT_SDK_HOME%\sdk.xml %ARGS%
:finish
