#!/bin/bash

echo "printing current directory path"
pwd
rsync -a RTC_Files/ WORKING_DIR
cd WORKING_DIR/Configurator_UI
gulp clean
if [ -d Artifacts ];then
        echo "Removing Artifacts folder"
        rm -rf Artifacts
fi
echo "npm installation is starting"
npm install
echo "npm installation done"
echo "gulp build starting"
gulp build
echo "gulp building done!!"
#!cd build
rm -rf ConfiguratorUI
mv build ConfiguratorUI

echo $IndexFileIncluded
if [ "$IndexFileIncluded" = true ]
then
echo "Index.html will be included"
zip -r ConfiguratorUI.zip ConfiguratorUI 
else
echo "Index.html will not be included"
zip -r ConfiguratorUI.zip ConfiguratorUI -x ConfiguratorUI/index.html\*
fi

mkdir Artifacts
mv  ConfiguratorUI.zip Artifacts
cd ..
zip -r Configurator_UI.zip Configurator_UI -x Configurator_UI/node_modules\* Configurator_UI/bower_components\* Configurator_UI/Artifacts\* Configurator_UI/$
mv Configurator_UI.zip Configurator_UI/Artifacts
