/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular.module('ibmConfiguratorApp.configurator').directive('bomEnter', bomEnter);
    
	bomEnter.$inject = ['$timeout'];
    		
    function bomEnter($timeout)	{
    	return {
            require: 'ngModel',
            replace: true,
            link: function(scope, element, attrs, ngModelCtrl) {

                element.bind('keydown keypress', function (event) {
                	if(event.which === 13) {
                        scope.$apply(function (){
                        	$timeout(function () {
                        		scope.$eval(attrs.bomEnter);
                                $('#'+attrs.id).click();
                                ngModelCtrl.$setViewValue(attrs.value);
                        	}, 0, false);
                        });
                        event.preventDefault();
                    }
                });
            }
        };
    }	
        		
})();
