/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular.module('ibmConfiguratorApp.configurator').directive('checkboxEnter', function () {
        return function (scope, element, attrs) {
        	element.bind('keydown keypress', function (event) {
            	if(event.which === 13) {
                    scope.$apply(function (){
                    	if (event.target.checked) {
                    		event.target.checked = false;
                    	} else {
                    		event.target.checked = true;
                    	}
                    	scope.$eval(attrs.checkboxEnter, {$event:event});
                    });
                    event.preventDefault();
                }
            });
        };
    });
})();
