/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular
        .module('ibmConfiguratorApp.configurator')
        .directive('dyninsKeyboard', function () {
            return function (scope, element, attrs) {
                element.bind('keydown keypress', function (event) {
                	
                	if(event.which === 13 || event.which === 32) {
                		scope.$eval(attrs.dyninsKeyboard);
                	}
                	else if(event.which === 40) {
                        scope.$apply(function (){
                        	$('.move:focus').closest('li').next().find('a.move').focus();
                        });
                    }
                	else if(event.which === 38) {
                        scope.$apply(function (){
                        	$('.move:focus').closest('li').prev().find('a.move').focus();
                        });
                    }
                	else if (event.shiftKey && event.keyCode === 9) {
//                		$('#toggleDropdownButton').focus();
                		$('.btn-group.open').find('.dropdown-toggle-selector').focus();
                		$('.btn-group.open').attr('class','btn-group');
                	}
                	else if (event.which === 9) {
                		$('.btn-group.open').attr('class','btn-group');
                		$('.dropdown-toggle-adder').focus();
                	}
                	
                	event.preventDefault();
                });
            };
        });
})();
