/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular
        .module('ibmConfiguratorApp.configurator')
        .directive('radioEnter', radioEnter); 
    
    	radioEnter.$inject = ['$timeout'];
        		
        function radioEnter($timeout) {
        	return {
                require: 'ngModel',
                replace: true,
                link: function(scope, element, attrs, ngModelCtrl) {

                    element.bind('keydown keypress', function (event) {
                    	if(event.which === 13) {
                            scope.$apply(function (){
                            	
                            	$timeout(function () {
                            		scope.$eval(attrs.radioEnter);
                                    
                                    $('#'+attrs.id).click();
                                    
                                    if (scope.$parent.opt) {
                                    	ngModelCtrl.$setViewValue(scope.$parent.opt.path);
                                    }
                                    else {
                                    	ngModelCtrl.$setViewValue('none');
                                    }
                            	}, 0, false);
                                
                            });
             
                            event.preventDefault();
                    		
                        }
                    });
                }
            };
        }	
        		
})();
