/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

/*global $ */
(function () {
    'use strict';

    angular
        .module('ibmConfiguratorApp.shell')
        .directive('consoleFrame', consoleFrame);

    function consoleFrame() {
        var directive = {
            link: link,
            templateUrl: 'app/shell/debug/templates/consoleFrame.html',
            restrict: 'E'
        };
        return directive;

        function link(scope, element, attrs) {

            $('#consoleLeft').resizable({maxWidth: $('.container').width() - 200,
                containment: 'parent', minHeight: $('.container').height()});
            $('#consoleLeft').on('resize', function (event, ui) {
                $('#mirror').css('width', $('.container').width() - $('#consoleLeft').width() - 4);
            });
            $(window).resize(function () {
                $('#consoleLeft').css('width', ($('#consoleLeft').width() /
                    ($('#consoleLeft').width() +
                    $('#consoleRight').width())) * $('.container').width());
                $('#consoleRight').css('width', $('.container').width() -
                    $('#consoleLeft').width() - 4);
            });
        }
    }
})();
