/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

(function () {
    'use strict';

    angular
        .module('ibmConfiguratorApp.shell')
        .directive('ruleFiringTrace', ruleFiringTrace)
        .filter('ignoreSpaces', ignoreSpaces);

    function ignoreSpaces($sce) {
        return function (data) {
            return $sce.trustAsHtml(data.replace(/\s/g,'&nbsp;'));
        };
    }

    function ruleFiringTrace() {
        var directive = {
            templateUrl: 'app/shell/debug/templates/ruleFiringTrace.html',
            restrict: 'E'
        };
        return directive;
    }
})();
