<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">

<xsl:output method="xml" indent="yes"/>

<xsl:template match="*">
	<xsl:if test="starts-with(name(.),'JdbcDriver')">		
	   <xsl:if test="not(contains(.,'oracle'))">
    	    	<xsl:text disable-output-escaping="yes">&lt;!--</xsl:text>
		</xsl:if>
	</xsl:if>
    <xsl:copy>
        <xsl:apply-templates select="@*"/>
	<xsl:apply-templates/>		
    </xsl:copy>
   	<xsl:if test="starts-with(name(.),'JdbcDriver')">		
	    <xsl:if test="not(contains(.,'oracle'))">
    	    	<xsl:text disable-output-escaping="yes">--&gt;</xsl:text>
		</xsl:if>
	</xsl:if>
</xsl:template>

<xsl:template match="@*">
    <xsl:copy/>
</xsl:template>

<xsl:template match="comment()">
	 <xsl:if test="contains(.,'&lt;JdbcDriver') and contains(.,'oracle')">
	    <xsl:value-of disable-output-escaping="yes" select="."/>
    </xsl:if>
	 <xsl:if test="not(contains(.,'&lt;JdbcDriver') and contains(.,'oracle'))">
	    <xsl:text disable-output-escaping="yes">&lt;!--</xsl:text>
		<xsl:value-of disable-output-escaping="yes" select="."/>
		<xsl:text disable-output-escaping="yes">--&gt;</xsl:text>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
