<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"   version="1.0">

    <xsl:output method="text"/>  
    <xsl:strip-space elements="*"/>
    
    <!-- utility templates -->
    <xsl:template name="signatureFunctionName">
        <xsl:param name="signatureName" select="'sig'"/>        
        <xsl:param name="signature" select="."/>
        <xsl:param name="declaration"/>        
       <xsl:text/><xsl:value-of select="$signatureName"/><xsl:for-each select="$signature/*">_<xsl:value-of select="@id"/></xsl:for-each>(<xsl:text/>
       <xsl:for-each select="($signature/*)">
       <!--      <xsl:variable name="$currentID" select="@id"/> -->
            <xsl:if test="$declaration">
                <xsl:call-template name="getType">
                    <xsl:with-param name="paramID" select="@id"/>
                </xsl:call-template>                
                <!-- <xsl:value-of select="//jspHeader/declaration/*[@id='user']/@type"/> --> <xsl:text> </xsl:text>
            </xsl:if> 
            <xsl:value-of select="@id"/>
            <xsl:if test="position()!=last()">,</xsl:if>
       </xsl:for-each>)<xsl:text/>       
    </xsl:template>
    
    <xsl:template name="getType">
        <xsl:param name="paramID" select="empty"/>
        <xsl:value-of select="//jspHeader/declaration/*[@id=$paramID]/@type"/>
    </xsl:template>
</xsl:stylesheet>

